members.dev
Docs
Custom fields

List Custom Field Definitions

Lists Custom Field Definitions

GET
/v1/custom-field-definitions

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

entity_type*string

Resource type to list definitions for.

Value in"member" | "subscription" | "product" | "group"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.members.dev/portal/v1/custom-field-definitions?entity_type=member"
[
  {
    "id": "string",
    "entity_type": "member",
    "key": "string",
    "label": "string",
    "description": "string",
    "field_type": "text",
    "is_required": true,
    "is_member_editable": true,
    "is_member_visible": true,
    "options": [
      null
    ],
    "validation_rules": {},
    "is_active": true,
    "created_at": null,
    "updated_at": null
  }
]
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}